Subject: RE: [dhcwg] RE: purpose of m/o bit

From: "Bound, Jim" <[email-masked]>
Date: Fri, 27 May 2005 12:35:33 -0400

ughh. sorry know of three production servers in use Lucent, HP, and
Linux version.
/jim 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Ted Lemon
> Sent: Friday, May 27, 2005 11:16 AM
> To: Bernie Volz (volz)
> Cc: [email-masked]; Iljitsch van Beijnum; [email-masked]; 
> Ralph Droms (rdroms)
> Subject: Re: [dhcwg] RE: purpose of m/o bit
> 
> On May 27, 2005, at 6:18 AM, Bernie Volz (volz) wrote:
> > These changes would potentially cause some issues with any 
> deployments
> > today because the clients and servers do not support this "new"
> > behavior, but it that's why it is critical we work this out ASAP.
> > However, those clients, if they use the M & O bits, could continue  
> > to do
> > what they do today -- since both bits are available. It is just new
> > clients with old servers that may have issues.
> 
> I may not have a full sense of the market, but FWIW I don't get the  
> impression that backwards compatibility for servers is a huge issue  
> at the moment.   So a simplifying change at this point would be a  
> good thing.   There have certainly been times in the past when we've  
> regretted our failure to make simplifying changes in the DHCP  
> protocol back when it wasn't widely deployed.   (Or at least 
> I have -  
> I can't really speak for other members of the wg.)
> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Ted Lemon <[email-masked]>
Date: Fri, 27 May 2005 09:39:52 -0700

> ughh. sorry know of three production servers in use Lucent, HP, and

That's not what I mean.   The point is that it's early days, and  
updating servers isn't a hard problem.   My point is that I don't  
know of any widespread deployments we'd be breaking right now, not  
that there are no implementations.

---

From: Tim Chown <[email-masked]>
Date: Mon, 30 May 2005 10:21:01 +0100

> that there are no implementations.

We have been looking for a combined DHCPv4/DHCPv6 server platform that
could run on Linux or BSD for some time, but have as yet failed to find
one.   This is for use in a production environment.

We are aware of code from NEC and Lucent (but haven't yet seen either)
and HP (seems to be for HP/UX only), there's also some Cisco functionality, 
and finally the sourceforge project (seems dormant for 15 months).

We'd be very interested to find an enterprise using DHCPv6 in production,
rather than just in a testbed.

-- 
Tim/::1